# Change installment loan terms SCRA

This endpoint is used for modifying the start date or end date of a single SCRA interest rate (`interestType=AbsoluteScra`).
Only applicable to installment loans.
If the SCRA start date is in the past, this will replay the loan.
When an existing SCRA plan is updated or deleted, the system determines whether fees should be canceled or revived based on the `isCancelFees` value from the original SCRA plan.
For example, if we are updating the SCRA plan:
Expanding the SCRA period
- If `isCancelFees` = `true`, we will cancel fees within the extended SCRA plan period.
- If `isCancelFees` = `false`, we will not cancel any fees within the extended SCRA plan period.

Shrinking the SCRA period
- If `isCancelFees` = `true`, we will revive any previously canceled fees within the portion of the SCRA plan period that is being removed.
- If `isCancelFees` = `false`, we will not revive any fees since there were no fees canceled in the original SCRA plan.

Endpoint: PUT /people/{personId}/loans/{loanId}/payment-plan-scra
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Request fields (application/json):

  - `caseId` (string)
    An identifier for an existing case.

  - `endDate` (string, required)
    The new end date for the SCRA period. The end date is inclusive.
Must be within the loan's lifetime, after the start date, and must not overlap with other SCRA plans.

  - `rateId` (string, required)
    The public ID of the SCRA interest rate to modify.

  - `sendNotice` (boolean)
    When set to `false`, the system will NOT send a `loanPaymentScheduleChanged` notice to the borrower.

  - `startDate` (string, required)
    The new start date for the SCRA period. The start date is inclusive.
Must be within the loan's lifetime and must not overlap with other SCRA plans.

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of items in this result.

  - `status` (integer)
    HTTP status code.

  - `data` (any)

